/*
 * @Author: WuXiangNan
 * @Date: 2021-05-27 14:43:58
 * @LastEditors: WuXiangNan
 * @LastEditTime: 2021-05-27 14:56:11
 * @Description: 绘经营数据接口
 */

import 'package:app_package/app_package.dart';
import 'package:business_package/src/models/bill_data.dart';
import 'package:business_package/src/models/bill_data_line_chart.dart';
import 'package:business_package/src/models/community/community_data.dart';
import 'package:business_package/src/models/community_statistics.dart';
import 'package:business_package/src/models/hardware_data/hardware_data.dart';
import 'package:business_package/src/models/platform_data.dart';
import 'package:business_package/src/models/platform_data_line_chart.dart';
import 'package:business_package/src/models/serve_data/serve_data.dart';

abstract class BusinessService {
  // 获取项目数据
  Future<ResModel<CommunityStatistics>> getCommunityStatistics(params);

  // 获取绘服务数据
  Future<ResModel<PlatformData>> getPlatformData(params);

  // 获取收费数据
  Future<ResModel<BillData>> getBillData(params);

  // 获取客户服务数据
  Future<ResModel<ServeData>> getServeData(params);

  // 获取智能设备数据
  Future<ResModel<HardwareData>> getHardwareData(params);

  // 获取绘服务折线图数据
  Future<ResModel<PlatformDataLineChart>> getPlatformDataLineChart(params);

  // 获取收费折线图数据
  Future<ResModel<BillDataLineChart>> getBillDataLineChart(params);

  // 获取小区
  Future<ResModel<List<CommunityData>?>> getCommunities(params);
}
